Subject: IPv9 ??

From: "Wang Hui" <[email-masked]>
Date: Tue, 17 Apr 2001 16:51:15 +0800

I happen to find out a new Internet Protocol called IPv9 in a search engine.  I dont know what is IPv9?  What's the relationship between IPv9 and IPv6 or else?

Could anyone give me some URLs to follow.

Thanks in advance.

-Wang Hui

---

From: Srihari Raghavan <[email-masked]>
Date: Tue, 17 Apr 2001 07:16:16 -0400

See RFCs 1606 and 1607.

They are dated 1 April. Hopefully that should give some idea :)

/Srihari

-----Original Message-----
From: Wang Hui [mailto:[email-masked]]
Sent: Tuesday, April 17, 2001 4:51 AM
To: [email-masked]
Subject: IPv9 ??

I happen to find out a new Internet Protocol called IPv9 in a search engine.
I dont know what is IPv9?  What's the relationship between IPv9 and IPv6 or
else?

Thanks in advance.

-Wang Hui

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Tue, 17 Apr 2001 08:51:49 -0400

To find out about the official assignments of any IETF protocol
parameters, including IP version numbers, go to the IANA web site at
<http://www.iana.org>.  IP versions are listed on page
<http://www.isi.edu/in-notes/iana/assignments/version-numbers>.
IPv9 has been assigned to TUBA which is desicribed in RFC 1347.

Donald

From:  "Wang Hui" <[email-masked]>
Message-ID:  <008f01c0c71b$8fb40d00$584ba8c0@luster>
To:  <[email-masked]>
Date:  Tue, 17 Apr 2001 16:51:15 +0800

>I happen to find out a new Internet Protocol called IPv9 in a search engine.  I dont
 know what is IPv9?  What's the relationship between IPv9 and IPv6 or else?

---

From: Michael Richardson <[email-masked]>
Date: Tue, 17 Apr 2001 10:43:43 -0700

>>>>> "Wang" == Wang Hui <[email-masked]> writes:
    Wang> I happen to find out a new Internet Protocol called IPv9 in a
    Wang> search engine.  I dont know what is IPv9?  What's the relationship
    Wang> between IPv9 and IPv6 or else? 

  it is "IPv6" with the src and dst address reversed and in little endian :-)

] Train travel features AC outlets with no take-off restrictions|gigabit is no[
]   Michael Richardson, Solidum Systems   Oh where, oh where has|problem  with[
]     [email-masked]   www.solidum.com   the little fishy gone?|PAX.port 1100[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

---

From: "Jiwoong Lee" <[email-masked]>
Date: Wed, 18 Apr 2001 11:34:57 +0900

What fun! I've heard a lot about IPv5, but it's first time to see IPv9!

It seems that IPv6-IPv9 appeared as solutions to IPv4 address shortcoming,
as indicated IAB Routing and Addressing Task Force. Am I right ?

One quick question: Why IPv1-IPv3 left untouched ?

Jiwoong

---

From: "Glen Morehead" <[email-masked]>
Date: Wed, 18 Apr 2001 08:33:57 -0500

For those of you outside the U.S. (and, I suppose, parts of Europe), April 1
is known as April Fool's Day.  People play practical jokes on each other;
some of them are rather elaborate and created just for April Fool's.  If you
scan back through the RFC index, there are well over a dozen RFCs published
on April 1 through the years that are bogus - some of them pretty
sophisticated, and most of them fun (the transmission of IP packets over
avian carriers, updated with QOS, is one of my favorites.)

When you have an hour or so, take a look at these creative and fun
"Informational" or "Experimental" RFCs.

Regards,
Glen

-----Original Message-----
From: Jiwoong Lee [mailto:[email-masked]]
Sent: Tuesday, 17 April 2001 21:35
To: [email-masked]
Subject: Re: IPv9 ??

Jiwoong

---

From: [email-masked]
Date: Wed, 18 Apr 2001 09:38:38 -0400

> as indicated IAB Routing and Addressing Task Force. Am I right ?

IPv6 is the currently well-developed candidate.  v7, v8, and v9
were basically research efforts that never saw the light of day
(although parts and concepts were incorporated ito IPv6).
 
It is important to note that v7, v8, and v9 have been used in
contexts *unrelated* to the official assignments.  For instance,
IPv7 and IPv8 have *also* been used by Fleming and Terrel for their
addressing architecture, which has never seen much actual deployment.
IPv9 was also used in the context of several April Fool's Day RFCs
(for the non-English speaking, April 1 is a day for pranks and
mischief - anything said by *anybody* on April 1 should be viewed
with caution...).

I see no RFC's referencing IPv, v8, or v9 after June 1994, other than
the IPv9 April 1 RFCs and RFC1752, which basically says 'v7/8/9 will
be abandoned in favor of IPv6'.

Question for the IETF (actually IANA):  Are v7/v8/v9 in actual
use anywhere, or should IANA recover those 3 protocol numbers
as 'historic' and re-use them?  IP version numbers are even
scarcer than IPv4 /8s - we should conserve them.

For that matter, is anyboy using 'ST Datagram', or is v5 also
recoverable for re-use?

> One quick question: Why IPv1-IPv3 left untouched ?

I wasn't there, but I'm willing to bet that v1-v3 were the "Always plan
to throw one away" protocols that didn't work out and were discarded
(although NCP may have been one of them, I don't know).

				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech

---

From: Jon Crowcroft <[email-masked]>
Date: Wed, 18 Apr 2001 15:27:09 +0100

for those of you in the US
april fools day dates from the introduction of the gregorian calendar
in the 16th century, and invovled moving the start of the year from
apr 1 to jan 1

in france, a posson d'avril is a rather nice phrase for a person who
is subject of one of these (supposed harmless) pranks - obviously they
hadn't heard of the IRS:-)

of course, 
IPv5 is alive

In message <[email-masked]>, Gl

 >>> Could anyone give me some URLs to follow.

 cheers

   jon

---

From: [email-masked]
Date: Wed, 18 Apr 2001 10:48:05 -0400

> IPv5 is alive

OK then.. IANA - *DONT* reclaim the IPv5 protocol type ;)

/Valdis

---

From: "Tony Hain" <[email-masked]>
Date: Wed, 18 Apr 2001 09:25:52 -0700

> One quick question: Why IPv1-IPv3 left untouched ?

check out RFC 762 : http://www.ietf.org/rfc/rfc0762.txt?number=762